const path = require('path')

//***** Vue-loader在15.*之后的版本都是 vue-loader的使用都是需要伴生 VueLoaderPlugin的
var VueLoaderPlugin = require('vue-loader/lib/plugin')

module.exports = {
  entry: './src/lib/index.js',

  output: {
    // 必须是绝对路径
    path: path.join(__dirname, './dist'),
    filename: 'vue-toast-demo.js',
    // 指定输出的规范：amd, cmd, commonjs (umd可以兼容多种规范)
    libraryTarget: 'umd',
    // 指定打包出来的库名
    library: 'VueToastDemoS'
  },

  mode: 'development',

  // 配置loader规则
  module: {
    rules: [
      {
        test: /\.vue$/, 
        loader: 'vue-loader',
        // exclude: __dirname + 'node_modules',
        // include: __dirname + 'src',
        exclude: /node_modules/,
        // options: {
        //   loaders: {
        //     // postcss-loader自动补全前缀，需要单独的配置文件postcss.config.js
        //     scss: 'style-loader!css-loader!sass-loader'
        //   }
        // }
      },
      { test: /\.scss$/, use: ['style-loader', 'css-loader', 'sass-loader'] },
      {
        test: /\.js$/,
        loader: 'babel-loader',
        // exclude: __dirname + 'node_modules',
        // include: __dirname + 'src',
        exclude: /node_modules/,
        // options: {
        //   presets: ['env']
        // }
      }
    ]
  },
  plugins: [
    new VueLoaderPlugin()
  ]
}
